## ufsutils 7.0

=== badsect.ufs/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD: src/sbin/badsect/Makefile,v 1.8 2003/02/22 21:33:42 johan Exp $

PROG=	badsect
DPADD=	${LIBUFS}
LDADD=	-lufs
MAN=	badsect.8

.include <bsd.prog.mk>

=== bsdlabel/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 3/17/94
# $FreeBSD: src/sbin/bsdlabel/Makefile,v 1.20 2006/08/22 07:51:09 ru Exp $

.PATH: ${.CURDIR}/../../sys/geom

PROG=	bsdlabel
SRCS=	bsdlabel.c geom_bsd_enc.c
#MAN=	bsdlabel.5
MAN+=	bsdlabel.8

.if ${MACHINE_ARCH} == "i386" || ${MACHINE_ARCH} == "amd64"
LINKS=	${BINDIR}/bsdlabel ${BINDIR}/disklabel
MLINKS=	bsdlabel.8 disklabel.8
.endif

DPADD=	${LIBGEOM}
LDADD=	-lgeom

.include <bsd.prog.mk>

test: ${PROG}
	sh ${.CURDIR}/runtest.sh

testx: ${PROG}
	sh -x ${.CURDIR}/runtest.sh

=== dump.ufs/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD: src/sbin/dump/Makefile,v 1.24 2003/11/14 13:07:38 johan Exp $

#	dump.h			header file
#	itime.c			reads /etc/dumpdates
#	main.c			driver
#	optr.c			operator interface
#	dumprmt.c		handles remote tape via rmt(8)
#	tape.c			handles the mag tape and opening/closing
#	traverse.c		traverses the file system
#	unctime.c		undo ctime
#
#	DEBUG			use local directory to find ddate and dumpdates
#	TDEBUG			trace out the process forking

PROG=	dump
LINKS=	${BINDIR}/dump ${BINDIR}/rdump
CFLAGS+=-DRDUMP
SRCS=	itime.c main.c optr.c dumprmt.c tape.c traverse.c unctime.c cache.c
MAN=	dump.8
MLINKS=	dump.8 rdump.8

.include <bsd.prog.mk>

=== dumpfs.ufs/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD: src/sbin/dumpfs/Makefile,v 1.9 2003/11/14 13:13:23 johan Exp $

PROG=	dumpfs
DPADD=	${LIBUFS}
LDADD=	-lufs
MAN=	dumpfs.8

.include <bsd.prog.mk>

=== ffsinfo/Makefile ===
# @(#)Makefile    8.8 (Berkeley) 6/21/2000
#
# $TSHeader: src/sbin/ffsinfo/Makefile,v 1.3 2000/12/05 19:45:10 tomsoft Exp $
# $FreeBSD: src/sbin/ffsinfo/Makefile,v 1.7 2004/04/01 20:31:48 johan Exp $
#

GROWFS= ${.CURDIR}/../growfs
.PATH: ${GROWFS}

PROG=	ffsinfo
SRCS=	ffsinfo.c debug.c
MAN=	ffsinfo.8

WARNS?=	0
CFLAGS+=-DFS_DEBUG -I${GROWFS}
DPADD=	${LIBUFS}
LDADD=	-lufs
 
.include <bsd.prog.mk>

=== fsck.ufs/Makefile ===
# $FreeBSD: src/sbin/fsck_ffs/Makefile,v 1.18 2007/09/19 01:24:19 rodrigc Exp $
#	@(#)Makefile	8.2 (Berkeley) 4/27/95

PROG=	fsck_ffs
LINKS+=	${BINDIR}/fsck_ffs ${BINDIR}/fsck_ufs
LINKS+=	${BINDIR}/fsck_ffs ${BINDIR}/fsck_4.2bsd
MAN=	fsck_ffs.8
MLINKS=	fsck_ffs.8 fsck_ufs.8 fsck_ffs.8 fsck_4.2bsd.8
SRCS=	dir.c ea.c fsutil.c inode.c main.c pass1.c pass1b.c pass2.c pass3.c \
	pass4.c pass5.c setup.c utilities.c ffs_subr.c ffs_tables.c gjournal.c \
	getmntopts.c
DPADD=	${LIBUFS}
LDADD=	-lufs
WARNS?=	2
CFLAGS+= -I${.CURDIR} -I${.CURDIR}/../mount

.PATH:	${.CURDIR}/../../sys/ufs/ffs ${.CURDIR}/../mount

.include <bsd.prog.mk>

=== fsdb.ufs/Makefile ===
#	$NetBSD: Makefile,v 1.1.1.1 1995/10/08 23:08:36 thorpej Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD: src/sbin/fsdb/Makefile,v 1.19 2004/10/09 15:56:34 le Exp $

PROG=	fsdb
MAN=	fsdb.8
SRCS=	fsdb.c fsdbutil.c \
	dir.c ea.c fsutil.c inode.c pass1.c pass1b.c pass2.c pass3.c pass4.c \
	pass5.c setup.c utilities.c ffs_subr.c ffs_tables.c
CFLAGS+= -I${.CURDIR}/../fsck_ffs
WARNS?= 2
LDADD=	-ledit -ltermcap
DPADD=	${LIBEDIT} ${LIBTERMCAP}
.PATH:	${.CURDIR}/../fsck_ffs ${.CURDIR}/../../sys/ufs/ffs

.include <bsd.prog.mk>

=== growfs.ufs/Makefile ===
#	@(#)Makefile	8.8 (Berkeley) 6/21/2000
#
# $TSHeader: src/sbin/growfs/Makefile,v 1.4 2000/12/05 19:45:24 tomsoft Exp $
# $FreeBSD: src/sbin/growfs/Makefile,v 1.13 2005/03/31 04:10:31 rwatson Exp $
#

#GFSDBG=

PROG=   growfs
SRCS=   growfs.c
MAN=	growfs.8

WARNS?=	6

.if defined(GFSDBG)
SRCS+=  debug.c
.endif  

.include <bsd.prog.mk>

=== libufs/Makefile ===
# $FreeBSD: src/lib/libufs/Makefile,v 1.14 2006/10/31 21:21:48 pjd Exp $

LIB=	ufs
SHLIBDIR?= /lib

SRCS=	block.c cgroup.c inode.c sblock.c type.c
INCS=	libufs.h

MAN=	bread.3 cgread.3 libufs.3 sbread.3 ufs_disk_close.3
MLINKS+= bread.3 bwrite.3
MLINKS+= cgread.3 cgread1.3
MLINKS+= cgread.3 cgwrite1.3
MLINKS+= sbread.3 sbwrite.3
MLINKS+= ufs_disk_close.3 ufs_disk_fillout.3
MLINKS+= ufs_disk_close.3 ufs_disk_fillout_blank.3
MLINKS+= ufs_disk_close.3 ufs_disk_write.3

WARNS?=	2

CFLAGS+= -D_LIBUFS
.if defined(LIBUFS_DEBUG)
CFLAGS+= -D_LIBUFS_DEBUGGING
.endif
CFLAGS+= -I${.CURDIR}

.include <bsd.lib.mk>

=== mkfs.ufs/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 3/27/94
# $FreeBSD: src/sbin/newfs/Makefile,v 1.22 2003/02/11 03:06:45 jmallett Exp $

PROG=	newfs
DPADD=	${LIBUFS}
LDADD=	-lufs
SRCS=	newfs.c mkfs.c
WARNS?=	2
MAN=	newfs.8

.include <bsd.prog.mk>

test:	${PROG}
	sh ${.CURDIR}/runtest01.sh 
	sh ${.CURDIR}/runtest00.sh | tee _.test
	diff --ignore-matching-lines=FreeBSD _.test ${.CURDIR}/ref.test
	echo All Tests Passed

=== mount/Makefile ===
#	@(#)Makefile	8.6 (Berkeley) 5/8/95
# $FreeBSD: src/sbin/mount/Makefile,v 1.19 2007/02/02 23:58:10 pjd Exp $

PROG=	mount
SRCS=	mount.c mount_fs.c getmntopts.c vfslist.c
WARNS?=	6
MAN=	mount.8
# We do NOT install the getmntopts.3 man page.

DPADD=	${LIBUTIL}
LDADD=	-lutil

.include <bsd.prog.mk>

=== sunlabel/Makefile ===
# $FreeBSD: src/sbin/sunlabel/Makefile,v 1.12 2004/02/01 13:09:26 ceri Exp $

.PATH: ${.CURDIR}/../../sys/geom

PROG=	sunlabel
SRCS=	sunlabel.c geom_sunlabel_enc.c
MAN=	sunlabel.8

.if ${MACHINE_ARCH} == "sparc64"
LINKS=	${BINDIR}/sunlabel ${BINDIR}/disklabel
MLINKS=	sunlabel.8 disklabel.8
.endif

WARNS?=	5

DPADD=	${LIBGEOM}
LDADD=	-lgeom

.include <bsd.prog.mk>

test:	${PROG}
	sh ${.CURDIR}/runtest.sh

testx: ${PROG}
	sh -x ${.CURDIR}/runtest.sh

## ufsutils 7.2

=== badsect.ufs/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD: src/sbin/badsect/Makefile,v 1.8.32.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	badsect
DPADD=	${LIBUFS}
LDADD=	-lufs
MAN=	badsect.8

.include <bsd.prog.mk>

=== bsdlabel/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	@(#)Makefile	8.2 (Berkeley) 3/17/94
-# $FreeBSD: src/sbin/bsdlabel/Makefile,v 1.20 2006/08/22 07:51:09 ru Exp $
+# $FreeBSD: src/sbin/bsdlabel/Makefile,v 1.20.8.1 2009/04/15 03:14:26 kensmith Exp $
 
 .PATH: ${.CURDIR}/../../sys/geom

=== dump.ufs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/5/93
-# $FreeBSD: src/sbin/dump/Makefile,v 1.24 2003/11/14 13:07:38 johan Exp $
+# $FreeBSD: src/sbin/dump/Makefile,v 1.24.30.1 2009/04/15 03:14:26 kensmith Exp $
 
 #	dump.h			header file
 #	itime.c			reads /etc/dumpdates

=== dumpfs.ufs/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD: src/sbin/dumpfs/Makefile,v 1.9.30.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	dumpfs
DPADD=	${LIBUFS}
LDADD=	-lufs
MAN=	dumpfs.8

.include <bsd.prog.mk>

=== ffsinfo/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # @(#)Makefile    8.8 (Berkeley) 6/21/2000
 #
 # $TSHeader: src/sbin/ffsinfo/Makefile,v 1.3 2000/12/05 19:45:10 tomsoft Exp $
-# $FreeBSD: src/sbin/ffsinfo/Makefile,v 1.7 2004/04/01 20:31:48 johan Exp $
+# $FreeBSD: src/sbin/ffsinfo/Makefile,v 1.7.28.1 2009/04/15 03:14:26 kensmith Exp $
 #
 
 GROWFS= ${.CURDIR}/../growfs

=== fsck.ufs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/sbin/fsck_ffs/Makefile,v 1.18 2007/09/19 01:24:19 rodrigc Exp $
+# $FreeBSD: src/sbin/fsck_ffs/Makefile,v 1.18.8.1 2009/04/15 03:14:26 kensmith Exp $
 #	@(#)Makefile	8.2 (Berkeley) 4/27/95
 
 PROG=	fsck_ffs

=== fsdb.ufs/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #	$NetBSD: Makefile,v 1.1.1.1 1995/10/08 23:08:36 thorpej Exp $
 #	@(#)Makefile	8.1 (Berkeley) 6/5/93
-# $FreeBSD: src/sbin/fsdb/Makefile,v 1.19 2004/10/09 15:56:34 le Exp $
+# $FreeBSD: src/sbin/fsdb/Makefile,v 1.19.20.1 2009/04/15 03:14:26 kensmith Exp $
 
 PROG=	fsdb
 MAN=	fsdb.8

=== growfs.ufs/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #	@(#)Makefile	8.8 (Berkeley) 6/21/2000
 #
 # $TSHeader: src/sbin/growfs/Makefile,v 1.4 2000/12/05 19:45:24 tomsoft Exp $
-# $FreeBSD: src/sbin/growfs/Makefile,v 1.13 2005/03/31 04:10:31 rwatson Exp $
+# $FreeBSD: src/sbin/growfs/Makefile,v 1.13.20.1 2009/04/15 03:14:26 kensmith Exp $
 #
 
 #GFSDBG=

=== libufs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/lib/libufs/Makefile,v 1.14 2006/10/31 21:21:48 pjd Exp $
+# $FreeBSD: src/lib/libufs/Makefile,v 1.14.8.1 2009/04/15 03:14:26 kensmith Exp $
 
 LIB=	ufs
 SHLIBDIR?= /lib

=== mkfs.ufs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	@(#)Makefile	8.2 (Berkeley) 3/27/94
-# $FreeBSD: src/sbin/newfs/Makefile,v 1.22 2003/02/11 03:06:45 jmallett Exp $
+# $FreeBSD: src/sbin/newfs/Makefile,v 1.22.32.1 2009/04/15 03:14:26 kensmith Exp $
 
 PROG=	newfs
 DPADD=	${LIBUFS}

=== mount/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	@(#)Makefile	8.6 (Berkeley) 5/8/95
-# $FreeBSD: src/sbin/mount/Makefile,v 1.19 2007/02/02 23:58:10 pjd Exp $
+# $FreeBSD: src/sbin/mount/Makefile,v 1.19.8.1 2009/04/15 03:14:26 kensmith Exp $
 
 PROG=	mount
 SRCS=	mount.c mount_fs.c getmntopts.c vfslist.c

=== sunlabel/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/sbin/sunlabel/Makefile,v 1.12 2004/02/01 13:09:26 ceri Exp $
+# $FreeBSD: src/sbin/sunlabel/Makefile,v 1.12.28.1 2009/04/15 03:14:26 kensmith Exp $
 
 .PATH: ${.CURDIR}/../../sys/geom

## ufsutils 7.3

=== badsect.ufs/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD: src/sbin/badsect/Makefile,v 1.8.36.1 2010/02/10 00:26:20 kensmith Exp $

PROG=	badsect
DPADD=	${LIBUFS}
LDADD=	-lufs
MAN=	badsect.8

.include <bsd.prog.mk>

=== bsdlabel/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	@(#)Makefile	8.2 (Berkeley) 3/17/94
-# $FreeBSD: src/sbin/bsdlabel/Makefile,v 1.20.8.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/sbin/bsdlabel/Makefile,v 1.20.10.1 2010/02/10 00:26:20 kensmith Exp $
 
 .PATH: ${.CURDIR}/../../sys/geom

=== dump.ufs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/5/93
-# $FreeBSD: src/sbin/dump/Makefile,v 1.24.30.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/sbin/dump/Makefile,v 1.24.34.1 2010/02/10 00:26:20 kensmith Exp $
 
 #	dump.h			header file
 #	itime.c			reads /etc/dumpdates

=== dumpfs.ufs/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD: src/sbin/dumpfs/Makefile,v 1.9.34.1 2010/02/10 00:26:20 kensmith Exp $

PROG=	dumpfs
DPADD=	${LIBUFS}
LDADD=	-lufs
MAN=	dumpfs.8

.include <bsd.prog.mk>

=== ffsinfo/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # @(#)Makefile    8.8 (Berkeley) 6/21/2000
 #
 # $TSHeader: src/sbin/ffsinfo/Makefile,v 1.3 2000/12/05 19:45:10 tomsoft Exp $
-# $FreeBSD: src/sbin/ffsinfo/Makefile,v 1.7.28.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/sbin/ffsinfo/Makefile,v 1.7.32.1 2010/02/10 00:26:20 kensmith Exp $
 #
 
 GROWFS= ${.CURDIR}/../growfs

=== fsck.ufs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/sbin/fsck_ffs/Makefile,v 1.18.8.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/sbin/fsck_ffs/Makefile,v 1.18.12.1 2010/02/10 00:26:20 kensmith Exp $
 #	@(#)Makefile	8.2 (Berkeley) 4/27/95
 
 PROG=	fsck_ffs

=== fsdb.ufs/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #	$NetBSD: Makefile,v 1.1.1.1 1995/10/08 23:08:36 thorpej Exp $
 #	@(#)Makefile	8.1 (Berkeley) 6/5/93
-# $FreeBSD: src/sbin/fsdb/Makefile,v 1.19.20.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/sbin/fsdb/Makefile,v 1.19.24.1 2010/02/10 00:26:20 kensmith Exp $
 
 PROG=	fsdb
 MAN=	fsdb.8

=== growfs.ufs/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #	@(#)Makefile	8.8 (Berkeley) 6/21/2000
 #
 # $TSHeader: src/sbin/growfs/Makefile,v 1.4 2000/12/05 19:45:24 tomsoft Exp $
-# $FreeBSD: src/sbin/growfs/Makefile,v 1.13.20.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/sbin/growfs/Makefile,v 1.13.24.1 2010/02/10 00:26:20 kensmith Exp $
 #
 
 #GFSDBG=

=== libufs/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/lib/libufs/Makefile,v 1.14.8.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/lib/libufs/Makefile,v 1.14.10.1 2010/02/10 00:26:20 kensmith Exp $
 
 LIB=	ufs
 SHLIBDIR?= /lib

=== mkfs.ufs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	@(#)Makefile	8.2 (Berkeley) 3/27/94
-# $FreeBSD: src/sbin/newfs/Makefile,v 1.22.32.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/sbin/newfs/Makefile,v 1.22.34.1 2010/02/10 00:26:20 kensmith Exp $
 
 PROG=	newfs
 DPADD=	${LIBUFS}

=== mount/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	@(#)Makefile	8.6 (Berkeley) 5/8/95
-# $FreeBSD: src/sbin/mount/Makefile,v 1.19.8.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/sbin/mount/Makefile,v 1.19.12.1 2010/02/10 00:26:20 kensmith Exp $
 
 PROG=	mount
 SRCS=	mount.c mount_fs.c getmntopts.c vfslist.c

=== sunlabel/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/sbin/sunlabel/Makefile,v 1.12.28.1 2009/04/15 03:14:26 kensmith Exp $
+# $FreeBSD: src/sbin/sunlabel/Makefile,v 1.12.32.1 2010/02/10 00:26:20 kensmith Exp $
 
 .PATH: ${.CURDIR}/../../sys/geom

## ufsutils 8.2

=== debian/changelog ===
ufsutils (8.2-3.drbl1) unstable; urgency=low

  * Patched for generating libufs2 deb.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Dec 2012 11:22:11 +0800

ufsutils (8.2-3) unstable; urgency=low

  * Add myself to Uploaders.
  * Remove remnants of ZFS when creating a new file system.  (Closes: #635272)
    - 04_portable_berase.patch: Fix berase().
    - 05_wipe_otherfs.patch: Wipe out other filesystems by erasing first and
      last 512 kiB of disk (this works for at least ZFS, in addition to UFS1
      which was already taken care of).
  * 00_portable_ufs_types.patch: Fix broken type for non-kFreeBSD
    platforms.  Thanks Vladimir Serbinenko.  (Closes: #646518)

 -- Robert Millan <rmh@debian.org>  Sun, 27 Nov 2011 18:18:04 +0100

ufsutils (8.2-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * Fix 01_libufs.patch to correctly character or block devices.  Closes:
    #526586, #634158.
  * Fix 02_fsdb.ufs.patch to make ufsutils buildable with --as-needed. 
    Closes: #632564.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Jul 2011 19:28:17 +0200

ufsutils (8.2-1) unstable; urgency=low

  [ Robert Millan ]
  * Set ufsutils-udeb to kfreebsd-any.

  [ Guillem Jover ]
  * New upstream version (based on FreeBSD 8.2)
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
    - Refresh all patches.
  * Reorganize source code:
    - Switch from debian/upstream.sh to debian/rules get-orig-source target.
    - Switch from CVS to Subversion to retrieve the source code.
    - Use the same source layout as upstream (no more relocations),
      i.e. lib/, sbin/, sys/sys, sys/ufs.
    - Move libport/ to port/.
    - Merge libdisklabel/ into port/.
  * Remove unneeded linking against libtermcap, thus removing the need for
    ncurses.
  * Add an empty debian/watch file explaining that there's no packaged
    upstream releases. Suggested by Peter Pentchev.
  * Update CVS to Subversion reference to upstream source code in
    debian/copyright.
  * Remove unused lib variable from debian/rules.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
    Based on a patch by Peter Pentchev.
  * Remove bogus reference to BSD license in /usr/share/common-licenses.
  * Always set -I../../sys, even on GNU/kFreeBSD systems.

  [ Peter Pentchev ]
  * Remove duplicate section “utils” from ufsutils binary package.
  * Remove XC- prefix from Package-Type.
  * Honour CPPFLAGS and LDFLAGS and do not link with CFLAGS.

 -- Guillem Jover <guillem@debian.org>  Tue, 31 May 2011 03:50:05 +0200

ufsutils (7.3-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_3_0_RELEASE)
  * Use intmax_t cast in fsbtodb() to fix aborts when
    making a filesystem larger than one terabyte. Closes: #559647.

  [ Aurelien Jarno ]
  * Bump Standard-Versions to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 13 Apr 2010 22:20:32 +0200

ufsutils (7.2-3) unstable; urgency=low

  * Drop patches/04_sysctlnametomib.patch and replace it by a build-depends
    on libc0.1-dev (>= 2.10.1).
  * Add a README.source file.
  * Bump Standard-Versions to 3.8.3.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 24 Oct 2009 18:27:16 +0200

ufsutils (7.2-2) unstable; urgency=low

  * Remove the warning in the package's description about the fact it is an
    experimental package.
  * Remove the libufs2 library and link statically instead. It is small, not
    really usable, and anyway comes without -dev package.
  * Add patches/04_sysctlnametomib.patch to avoid linking with libfreebsd.
  * Bump Standard-Versions to 3.8.2 (no changes).
  * Add a ufsutils-udeb.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 30 Jul 2009 15:28:23 +0200

ufsutils (7.2-1) unstable; urgency=low

  [ Guillem Jover ]
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Remove commented out lines in debian/rules.
  * Do not set unused INSTALL_PROGRAM.
  * Line wrap Build-Depends fields for lines longer than 80 chars.
  * Use asterisks for bulleted lists in package description.
  * Remove DPATCHLEVEL variable from patches.
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of "dh_clean -k".
  * Do not use stamp files for build.
  * Include quilt.make snippet instead of using ad-hoc code.
  * Remove unused ufsutils variable and rename libufs to lib in debian/rules.

  [ Petr Salinger ]
  * New upstream version (RELENG_7_2_0_RELEASE)
  * Allow mkfs.ufs not only on character devices (GNU/kFreeBSD), but also
    on block devices (Linux) and plain files (i.e. loopback). (Closes: #526586)

  [ Aurelien Jarno ]
  * Bump Standard-Versions to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 21 May 2009 20:25:46 +0200

ufsutils (7.1-2) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_1_0_RELEASE)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Jan 2009 12:01:23 +0100

ufsutils (7.0-2) unstable; urgency=low

  * debian/patches/01_libufs.patch Link libufs with libbsd.
  * debian/patches/*: Use LDADD += instead of LDADD =.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 17:21:09 +0200

ufsutils (7.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * Add build-dependency on quilt, and use quilt in debian/rules
  * Based on upstream version 7.0
  * Include all needed sources in debian/upstream.sh
  * Make it build much cleanly on kfreebsd - ino_t is int32 on kfreebsd-any !!!
  * Fix segfault of fsck.ufs on non kfreebsd. (Closes: #335482)

  [ Guillem Jover ]
  * Fix Subversion repository address.
  * Added PHONY targets:
    - debian/patch.mk
  * Use root gid as a fallback for operator on mkfs.ufs. (Closes: #293411)
  * Updated upstream tarball creator (debian/upstream.sh).
  * Upgraded to debhelper compatibility level 5.


=== debian/control ===
Source: ufsutils
Section: utils
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), libbsd-dev, libedit-dev,
 libc0.1-dev (>= 2.10.1) [kfreebsd-any]
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/ufsutils/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/ufsutils/
Standards-Version: 3.9.2

Package: ufsutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: fsck-backend
Conflicts: hurd
Description: UFS filesystems utilities
 Utilities to manage the UFS filesystem, mostly used in BSD or derived
 operating systems. This include FFS, UFS and UFS2.
 .
 The following utilities are provided:
  * mkfs.ufs
  * fsck.ufs
  * fsdb.ufs
  * dumpfs.ufs
  * growfs.ufs
  * tunefs.ufs
  * badsect.ufs
  * ffsinfo

Package: ufsutils-udeb
Package-Type: udeb
Architecture: kfreebsd-any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: stripped-down versions of ufsutils, for debian-installer
 This package is an ufsutils package built for a reduced size, so that
 it can help to save space in debian-installer.

Package: libufs2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: UFS filesystem shared library
 Shared library to manage the UFS filesystem, mostly used in BSD or derived
 operating systems. This include FFS, UFS and UFS2.

## ufsutils 10.1~svn272500

=== lib/libufs/Makefile ===
# $FreeBSD$

LIB=	ufs
SHLIBDIR?= /lib
SHLIB_MAJOR=	6

SRCS=	block.c cgroup.c inode.c sblock.c type.c ffs_subr.c ffs_tables.c
INCS=	libufs.h

MAN=	bread.3 cgread.3 libufs.3 sbread.3 ufs_disk_close.3
MLINKS+= bread.3 bwrite.3
MLINKS+= bread.3 berase.3
MLINKS+= cgread.3 cgread1.3
MLINKS+= cgread.3 cgwrite1.3
MLINKS+= sbread.3 sbwrite.3
MLINKS+= ufs_disk_close.3 ufs_disk_fillout.3
MLINKS+= ufs_disk_close.3 ufs_disk_fillout_blank.3
MLINKS+= ufs_disk_close.3 ufs_disk_write.3

.PATH:  ${.CURDIR}/../../sys/ufs/ffs

WARNS?=	2

DEBUG_FLAGS = -g
CFLAGS+= -D_LIBUFS
.if defined(LIBUFS_DEBUG)
CFLAGS+= -D_LIBUFS_DEBUGGING
.endif
CFLAGS+= -I${.CURDIR}

.include <bsd.lib.mk>

=== sbin/badsect/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	badsect
DPADD=	${LIBUFS}
LDADD=	-lufs
MAN=	badsect.8
WARNS?=	2

.include <bsd.prog.mk>

=== sbin/dumpfs/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	dumpfs
WARNS?=	2
DPADD=	${LIBUFS}
LDADD=	-lufs
MAN=	dumpfs.8

.include <bsd.prog.mk>

=== sbin/ffsinfo/Makefile ===
# @(#)Makefile    8.8 (Berkeley) 6/21/2000
#
# $TSHeader: src/sbin/ffsinfo/Makefile,v 1.3 2000/12/05 19:45:10 tomsoft Exp $
# $FreeBSD$
#

GROWFS= ${.CURDIR}/../growfs
.PATH: ${GROWFS}

PROG=	ffsinfo
SRCS=	ffsinfo.c debug.c
MAN=	ffsinfo.8

WARNS?=	1
CFLAGS+=-DFS_DEBUG -I${GROWFS}
DPADD=	${LIBUFS}
LDADD=	-lufs

.include <bsd.prog.mk>

=== sbin/fsck_ffs/Makefile ===
# $FreeBSD$
#	@(#)Makefile	8.2 (Berkeley) 4/27/95

PROG=	fsck_ffs
LINKS+=	${BINDIR}/fsck_ffs ${BINDIR}/fsck_ufs
LINKS+=	${BINDIR}/fsck_ffs ${BINDIR}/fsck_4.2bsd
MAN=	fsck_ffs.8
MLINKS=	fsck_ffs.8 fsck_ufs.8 fsck_ffs.8 fsck_4.2bsd.8
SRCS=	dir.c ea.c fsutil.c inode.c main.c pass1.c pass1b.c pass2.c pass3.c \
	pass4.c pass5.c setup.c suj.c utilities.c gjournal.c getmntopts.c \
	globs.c
DPADD=	${LIBUFS}
LDADD=	-lufs
WARNS?=	2
CFLAGS+= -I${.CURDIR} -I${.CURDIR}/../mount

.PATH:	${.CURDIR}/../../sys/ufs/ffs ${.CURDIR}/../mount

.include <bsd.prog.mk>

=== sbin/fsdb/Makefile ===
#	$NetBSD: Makefile,v 1.1.1.1 1995/10/08 23:08:36 thorpej Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	fsdb
MAN=	fsdb.8
SRCS=	fsdb.c fsdbutil.c \
	dir.c ea.c fsutil.c inode.c pass1.c pass1b.c pass2.c pass3.c pass4.c \
	pass5.c setup.c utilities.c ffs_subr.c ffs_tables.c globs.c
CFLAGS+= -I${.CURDIR}/../fsck_ffs
WARNS?= 2
LDADD=	-ledit -ltermcap
DPADD=	${LIBEDIT} ${LIBTERMCAP}
.PATH:	${.CURDIR}/../fsck_ffs ${.CURDIR}/../../sys/ufs/ffs

.include <bsd.prog.mk>

=== sbin/growfs/Makefile ===
#	@(#)Makefile	8.8 (Berkeley) 6/21/2000
#
# $TSHeader: src/sbin/growfs/Makefile,v 1.4 2000/12/05 19:45:24 tomsoft Exp $
# $FreeBSD$
#

#GFSDBG=

.include <bsd.own.mk>

.PATH:	${.CURDIR}/../mount

PROG=   growfs
SRCS=   growfs.c getmntopts.c
MAN=	growfs.8
CFLAGS+=-I${.CURDIR}/../mount

.if defined(GFSDBG)
SRCS+=  debug.c
.endif  

DPADD=	${LIBUTIL}
LDADD=	-lutil

.if ${MK_TESTS} != "no"
SUBDIR+=    tests
.endif

.include <bsd.prog.mk>

=== sbin/newfs/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 3/27/94
# $FreeBSD$

.PATH: ${.CURDIR}/../../sys/geom

PROG=	newfs
DPADD=	${LIBUFS} ${LIBUTIL}
LDADD=	-lufs -lutil
SRCS=	newfs.c mkfs.c geom_bsd_enc.c

WARNS?=	3
MAN=	newfs.8

.include <bsd.prog.mk>

test:	${PROG}
	sh ${.CURDIR}/runtest01.sh 
	sh ${.CURDIR}/runtest00.sh | tee _.test
	diff --ignore-matching-lines=FreeBSD _.test ${.CURDIR}/ref.test
	echo All Tests Passed

=== sbin/tunefs/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	tunefs
DPADD=	${LIBUFS}
LDADD=	-lufs
MAN=	tunefs.8

WARNS=	3

.include <bsd.prog.mk>

=== sbin/growfs/tests/Makefile ===
# $FreeBSD$

TESTSDIR=	${TESTSBASE}/sbin/growfs

TAP_TESTS_PERL=	legacy_test

.include <bsd.test.mk>

=== debian/changelog ===
ufsutils (10.1~svn272500-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream snapshot of 10.1-RC1
    - refresh patches

  [ Steven Chamberlain ]
  * Build-Depend on freebsd-mk >= 10.0-5 for MK_TESTS
  * In get-orig-source, svn export with --ignore-keywords so that
    revision tags do not fuzzy the patches
  * Add myself to Uploaders

 -- Petr Salinger <Petr.Salinger@seznam.cz>  Sat, 04 Oct 2014 20:24:56 +0200

ufsutils (10.0-3) unstable; urgency=medium

  * Fix FTBFS due to missing <libutil.h> by adding a libutil-freebsd-dev
    build-dep (Closes: #741088). Thanks Cyril Brulebois.

 -- Robert Millan <rmh@debian.org>  Thu, 22 May 2014 18:05:36 +0200

ufsutils (10.0-2) experimental; urgency=low

  * 05_wipe_otherfs.patch: Handle DIOCGMEDIASIZE failure gracefully.
    (Closes: #737580)
  * Fix fsck.ufs exit codes. (Closes: #355134)
  * Silence "operator gid" warning.

 -- Robert Millan <rmh@debian.org>  Sat, 22 Feb 2014 14:02:36 +0100

ufsutils (10.0-1) experimental; urgency=low

  * New upstream release.
    - Refresh all patches.
    - 00_portable_berase.patch: Remove (merged).

  [ Robert Millan ]
  * Fetch source code securely (https) in get-orig-source.
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.
  * Switch to bmake to follow upstream.

 -- Robert Millan <rmh@debian.org>  Fri, 24 Jan 2014 22:54:20 +0100

ufsutils (9.2-3) unstable; urgency=low

  * Bump kfreebsd-kernel-headers B-D to 9.2~5.
  * Fix ufsutils-udeb shlibs dependencies.

 -- Robert Millan <rmh@debian.org>  Sat, 30 Nov 2013 12:56:31 +0100

ufsutils (9.2-2) unstable; urgency=low

  * Avoid kfreebsd-kernel-headers versions prior to ino_t fix.
  * Remove gratuitous dependency on libtermcap / libtinfo.

 -- Robert Millan <rmh@debian.org>  Fri, 29 Nov 2013 14:21:12 +0100

ufsutils (9.2-1) experimental; urgency=low

  * New upstream release.

  [ Robert Millan ]
  * Switch architecture to kfreebsd-any.
  * Update debian/rules using freebsd-utils as template.
  * Changes above render obsolete most of the patches. Simplify patchset
    to make it more maintainable and easier to update. Patches left:
    - Already in upstream: 00_portable_berase.patch
    - Not in upstream, but probably mergeable: 05_wipe_otherfs.patch,
      fsck_getopt.diff
    - Pending on kern/162905 (help is welcome): 04_avoid_diocgdelete.patch
    - Not mergeable: makefiles.diff

 -- Robert Millan <rmh@debian.org>  Sat, 26 Oct 2013 15:08:15 +0200

ufsutils (8.2-4) unstable; urgency=low

  [ Robert Millan ]
  * Import 00_portable_berase.patch from upstream trunk.  Refresh all
    patches.

  [ Guillem Jover ]
  * Add build-indep and build-arch debian/rules targets:
    - Rename build to build-arch and install to install-arch.
  * Now using Standards-Version 3.9.4.
  * Switch to canonical Vcs URLs.
  * Remove packaging history from debian/copyright.
  * Switch to the libbsd-overlay.
    - Remove sys/endian.h local header now provided by libbsd.
  * Add install and install-indep targets for consistency.
  * Add -Werror=implicit-function-declaration to build flags.
  * Remove unneeded debian/ufsutils.dirs file.
  * Reword warning about not enabling _FILE_OFFSET_BITS=64 on GNU/kFreeBSD,
    fix typos, and remove repeated text.
  * Switch to use the upstream build system. Add a Build-Depends on
    freebsd-buildutils for pmake.
  * Do not require root on the clean target.
  * Use «dpkg-parsechangelog -S» instead of sed-filtering the output.
  * Only use the local sys partial headers hierarchy on non-kFreeBSD systems.
  * Remove myself from Uploaders.

 -- Robert Millan <rmh@debian.org>  Sat, 26 Oct 2013 14:43:08 +0200

=== debian/control ===
Source: ufsutils
Section: utils
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Aurelien Jarno <aurel32@debian.org>,
 Robert Millan <rmh@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>,
Build-Depends: debhelper (>= 7),
 kfreebsd-kernel-headers (>= 9.2~5),
 freebsd-mk (>= 10.0-5~),
 bmake (>= 20131001-4~),
 freebsd-glue (>= 0.1.12~),
 libbsd-dev (>= 0.3.0),
 libedit-dev,
 libutil-freebsd-dev,
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/ufsutils/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/ufsutils/
Standards-Version: 3.9.2

Package: ufsutils
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: UFS filesystems utilities
 Utilities to manage the UFS filesystem, mostly used in BSD or derived
 operating systems. This include FFS, UFS and UFS2.
 .
 The following utilities are provided:
  * mkfs.ufs
  * fsck.ufs
  * fsdb.ufs
  * dumpfs.ufs
  * growfs.ufs
  * tunefs.ufs
  * badsect.ufs
  * ffsinfo

Package: ufsutils-udeb
Package-Type: udeb
Architecture: kfreebsd-any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: stripped-down versions of ufsutils, for debian-installer
 This package is an ufsutils package built for a reduced size, so that
 it can help to save space in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export SHELL = bash

CFLAGS = -Wall -g -pipe -fPIC -D_GNU_SOURCE \
	-Werror=implicit-function-declaration \
	-isystem /usr/include/freebsd \
	$(NULL)
CXXFLAGS = $(CFLAGS)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
	BSD_MAKEFLAGS += -j$(NUMJOBS)
endif

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major           := $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')

#SVN		:= https://svn0.us-west.freebsd.org/base/release/$(version).0
SVN		:= https://svn0.us-west.freebsd.org/base/releng/$(version)
#SVN		:= https://svn0.us-west.freebsd.org/base/stable/$(major)
#SVN		:= https://svn0.us-west.freebsd.org/base/head

SOURCE = ufsutils
ORIGDIR = $(SOURCE)-$(tar_version)
TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = \
	MAKEFLAGS=$(BSD_MAKEFLAGS) \
	COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" \
        NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO \
        DESTDIR=$(DESTDIR) \
	bmake

build: build-arch build-indep

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/sys/geom
	for i in \
		sbin/badsect sbin/dumpfs sbin/fsck_ffs sbin/fsdb \
		sbin/growfs sbin/newfs sbin/tunefs sbin/ffsinfo \
		sys/ufs lib/libufs sys/geom/geom_bsd_enc.c \
		sbin/mount \
	; do \
	    svn export --ignore-keywords $(SVN)/$$i $(ORIGDIR)/$$i || exit ; \
	done
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

build-arch: ufsutils

ufsutils: ufsutils-stamp
ufsutils-stamp:
	$(PMAKE) -C lib/libufs
	$(PMAKE) -C sbin/badsect
	$(PMAKE) -C sbin/dumpfs
	$(PMAKE) -C sbin/fsck_ffs
	$(PMAKE) -C sbin/fsdb
	$(PMAKE) -C sbin/growfs
	$(PMAKE) -C sbin/newfs
	$(PMAKE) -C sbin/tunefs
	$(PMAKE) -C sbin/ffsinfo
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean:
	dh_testdir
	dh_testroot

	$(PMAKE) -C lib/libufs clean
	$(PMAKE) -C sbin/badsect clean
	$(PMAKE) -C sbin/dumpfs clean
	$(PMAKE) -C sbin/fsck_ffs clean
	$(PMAKE) -C sbin/fsdb clean
	$(PMAKE) -C sbin/growfs clean
	$(PMAKE) -C sbin/newfs clean
	$(PMAKE) -C sbin/tunefs clean
	$(PMAKE) -C sbin/ffsinfo clean

	rm -f *stamp
	dh_clean

install: install-indep install-arch
install-indep:

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	dh_install -a

	mkdir -p debian/ufsutils/{sbin,usr/share/man/man8}
	for i in badsect dumpfs fsdb growfs tunefs ; do \
		install -m 755 sbin/$$i/$$i	debian/ufsutils/sbin/$$i.ufs ; \
		install -m 644 sbin/$$i/$$i.8	debian/ufsutils/usr/share/man/man8/$$i.ufs.8 ; \
	done
	install -m 755 sbin/fsck_ffs/fsck_ffs	debian/ufsutils/sbin/fsck.ufs
	install -m 644 sbin/fsck_ffs/fsck_ffs.8	debian/ufsutils/usr/share/man/man8/fsck.ufs.8
	install -m 755 sbin/newfs/newfs		debian/ufsutils/sbin/mkfs.ufs
	install -m 644 sbin/newfs/newfs.8	debian/ufsutils/usr/share/man/man8/mkfs.ufs.8
	install -m 755 sbin/ffsinfo/ffsinfo	debian/ufsutils/sbin/ffsinfo
	install -m 644 sbin/ffsinfo/ffsinfo.8	debian/ufsutils/usr/share/man/man8/ffsinfo.8

	mkdir -p debian/ufsutils-udeb/sbin
	for i in badsect growfs tunefs ; do \
		install -m 755 sbin/$$i/$$i	debian/ufsutils-udeb/sbin/$$i.ufs ; \
	done
	install -m 755 sbin/fsck_ffs/fsck_ffs	debian/ufsutils-udeb/sbin/fsck.ufs
	install -m 755 sbin/newfs/newfs		debian/ufsutils-udeb/sbin/mkfs.ufs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependant files that arn't kernel modules here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_makeshlibs -pufsutils --add-udeb=ufsutils-udeb
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
